package jimm.datavision;

/**
 * The line drawer interface is used by those wishing to draw all lines
 * in a border. Typical use:
 *
 * <pre><code>
 *    field.getBorder().eachLine(fieldWalker);
 * </code></pre>
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public interface LineDrawer {

/**
 * This method is called once for each line, when used from within
 * <code>Border.eachLine</code>.
 *
 * @param l a line
 */
public void drawLine(Line l);

}
