package jimm.datavision;
import jimm.datavision.sql.Row;

/**
 * A suppression proc is an interface describing an object used to decide
 * if data should be displayed or not. It returns <code>true</code> if the
 * data should be suppressed (not displayed) or <code>false</code> if
 * the data should not be supressed (it should be displayed).
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public interface SuppressionProc {

/**
 * Given a row of data, returns <code>true</code> if the data should be
 * suppressed (not displayed). Returns <code>false</code> if the data
 * should not be supressed (it should be displayed).
 *
 * @param row a row of data
 * @return <code>true</code> if the data should be suppressed (not displayed)
 */
public boolean suppressGivenData(Row row);

}
