package jimm.datavision;

/**
 * Identifies objects that implement the <code>writeXML</code> method.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public interface Writeable {

/**
 * Writes this object as an XML tag.
 *
 * @param out a writer that knows about indenting XML tags
 */
public void writeXML(IndentWriter out);

}
