package jimm.datavision.gui;
import jimm.datavision.I18N;
import jimm.datavision.Field;
import jimm.datavision.Formula;
import jimm.datavision.FormulaField;
import javax.swing.JDialog;
import javax.swing.JMenuItem;

/**
 *
 * A formula widget must be able to edit its formula's code and perform
 * a few other formula-specific actions.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
class FormulaWidget extends EditWinWidget {

/**
 * Constructor.
 *
 * @param sw section widget in which the field's new widget will reside
 * @param field a report field
 */
FormulaWidget(SectionWidget sw, Field field) {
    super(sw, field);
}

protected JDialog createEditor() {
    return new FormulaWin(sectionWidget.designWin, getField().getReport(),
			  ((FormulaField)getField()).getFormula());
}

protected void updateEditor() {
    ((FormulaWin)editor).update(null, null); // Re-read code
}

protected String getWidgetName() {
    return ((FormulaField)getField()).getFormula().getName();
}

protected String getEditorTitle() {
    return I18N.get("FormulaWidget.editor_title");
}

protected String getEditorLabel() {
    return I18N.get("FormulaWidget.editor_label");
}

public void setWidgetName(String newName) {
    if (newName.length() == 0)
	newName = I18N.get("FieldPickerWin.unnamed_formula");
    ((FormulaField)getField()).getFormula().setName(newName);
}

}
