package jimm.datavision.gui;
import jimm.datavision.Group;
import jimm.datavision.sql.Column;

/**
 * Group win list items are used by the group editing window and the
 * group edit command to remember a group and its sort order.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see GroupWin
 * @see jimm.datavision.gui.cmd.GroupEditCommand
 */
public class GroupWinListItem extends TLWListItem {

Group group;

public GroupWinListItem(Column col, Group group) {
    super(col, group == null ? Group.SORT_ASCENDING : group.getSortOrder());
    this.group = group;		// May be null
}

public Group getGroup() { return group; }

public boolean sortsAscending() { return sortOrder == Group.SORT_ASCENDING; }

}
