package jimm.datavision.gui;
import jimm.datavision.I18N;
import java.awt.Frame;
import java.awt.Dimension;
import javax.swing.JDialog;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;

class SQLQueryWin extends JDialog {

protected static final int PREFERRED_COLUMNS = 40;
protected static final Dimension PREFERRED_SIZE = new Dimension(340, 275);

SQLQueryWin(Frame owner, String queryString) {
    super(owner, I18N.get("SQLQueryWin.title"));
    buildWindow(queryString);
    pack();
    show();
}

protected void buildWindow(String queryString) {
    // Copy the string and add some newlines
    char[] queryChars = queryString.toCharArray();

    int pos = queryString.indexOf(" from ");
    if (pos >= 0) queryChars[pos] = '\n';
    else pos = 0;

    pos = queryString.indexOf(" where ", pos);
    if (pos >= 0) queryChars[pos] = '\n';
    else pos = 0;

    pos = queryString.indexOf(" order by ", pos);
    if (pos >= 0) queryChars[pos] = '\n';

    JTextArea text = new JTextArea(new String(queryChars), 0,
				   PREFERRED_COLUMNS);
    text.setEditable(false);
    text.setLineWrap(true);
    text.setWrapStyleWord(true);

    JScrollPane scroller = new JScrollPane(text);
    scroller.setPreferredSize(PREFERRED_SIZE);
    getContentPane().add(scroller);
}

}
