package jimm.datavision.gui;
import jimm.datavision.sql.Column;

/**
 * Sort win list items are used by the sort editing window and the
 * sort edit command to remember a sort column and its sort order.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see SortWin
 * @see jimm.datavision.gui.cmd.SortEditCommand
 */
public class SortWinListItem extends TLWListItem {

public SortWinListItem(Column col, String sortOrder) {
    super(col, sortOrder == null ? 'a' : sortOrder.toLowerCase().charAt(0));
}

public boolean sortsAscending() { return sortOrder == 'a'; }

}
