package jimm.datavision.gui;
import jimm.datavision.sql.Column;

/**
 * Used in lists to hold and display database column and sort order.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see TwoListWin
 * @see GroupWin
 * @see SortWin
 */
abstract class TLWListItem implements Comparable {

Column col;
int sortOrder;

/**
 * Constructor.
 *
 * @param col a database column
 * @param sortOrder a subclass-specific value for sort order
 */
TLWListItem(Column col, int sortOrder) {
    this.col = col;
    this.sortOrder = sortOrder;
}

public abstract boolean sortsAscending();

public Column getColumn() { return col; }

public int getSortOrder() { return sortOrder; }

public int compareTo(Object o) {
    return col.fullName().compareTo(((TLWListItem)o).col.fullName());
}

public String toString() { return col.fullName(); }

}
