package jimm.datavision.gui;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Query;
import jimm.datavision.gui.cmd.WhereClauseEditCommand;

/**
 * This dialog lets the user edit the report query's where clause.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.Query
 * @see jimm.datavision.gui.cmd.WhereClauseEditCommand
 */
public class WhereClauseWin extends CodeEditorWin {

protected Report report;

/**
 * Constructor.
 *
 * @param designWin the design window to which this dialog belongs
 * @param report the...um...I forgot
 */
public WhereClauseWin(DesignWin designWin, Report report) {
    super(designWin, report, report.getQuery().getEditableWhereClause(),
	  I18N.get("WhereClauseWin.title"), null, null);
    this.report = report;
}

public void save(String text) {
    command = new WhereClauseEditCommand(report.getQuery(), text);
}

}
