package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Rectangle;
import jimm.datavision.gui.FieldWidget;

/**
 * A command for changing a field's bounds.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class BoundsCommand extends CommandAdapter {

protected FieldWidget fw;
protected Rectangle origBounds;
protected Rectangle newBounds;

public BoundsCommand(FieldWidget fw, Rectangle bounds) {
    super(I18N.get("BoundsCommand.name"));
    this.fw = fw;
    this.origBounds = new Rectangle(fw.getField().getBounds());
    newBounds = bounds;
}

public void perform() {
    fw.applyNewBounds(newBounds);
}

public void undo() {
    fw.applyNewBounds(origBounds);
}

}
