package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Group;
import jimm.datavision.gui.DesignWin;
import java.util.*;

public class DeleteGroupCommand extends CommandAdapter {

protected DesignWin designWin;
protected Report report;
protected Group group;

/**
 * Constructor.
 */
public DeleteGroupCommand(DesignWin designWin, Report report, Group group) {
    super(I18N.get("DeleteGroupCommand.name"));

    this.designWin = designWin;
    this.report = report;
    this.group = group;
}

public void perform() {
    report.removeGroup(group);
    designWin.rebuildGroups();
}

public void undo() {
    report.addGroup(group);
    designWin.rebuildGroups();
}

}
