package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Section;
import jimm.datavision.ReportSectionLoc;
import jimm.datavision.gui.DesignWin;
import jimm.datavision.gui.SectionWidget;

public class DeleteSectionCommand extends CommandAdapter {

protected DesignWin designWin;
protected Report report;
protected Section section;
protected ReportSectionLoc sectionLoc;
protected SectionWidget sectionWidget;
protected SectionWidget sectionWidgetAbove;

/**
 * Constructor.
 */
public DeleteSectionCommand(DesignWin designWin, Report report,
			    Section section)
{
    super(I18N.get("DeleteSectionCommand.name"));
    this.designWin = designWin;
    this.report = report;
    this.section = section;
    this.sectionWidget = designWin.findSectionWidgetFor(section);
    sectionLoc = report.getSectionLocation(section);
}

public void perform() {
    // Removes section from report and window.
    sectionWidgetAbove = designWin.doDeleteSection(section);
}

public void undo() {
    report.reinsertSection(sectionLoc);
    designWin.insertSectionWidgetAfter(sectionWidget, sectionWidgetAbove);
}

}
