package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Group;
import jimm.datavision.gui.FieldWidget;

/**
 * A command for deleting a subtotal to a field from a particular section.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class DeleteSubtotalCommand extends AbstractSubtotalCommand {

/**
 * Constructor.
 *
 * @param report the report containing the field and the subtotal
 * @param fw the field widget from which we are deleting the subtotal
 * @param subtotalWidget the subtotal's field widget
 * @param group if <code>null</code>, the subtotal is deleted from the
 * report footer; else the subtotal is deleted from the group's footer.
 */
public DeleteSubtotalCommand(Report report, FieldWidget fw,
			     FieldWidget subtotalWidget, Group group)
{
    super(report, fw, group, I18N.get("DeleteSubtotalCommand.name"));
    this.subtotalWidget = subtotalWidget;
}

public void perform() {
    deleteSubtotal();
}

public void undo() {
    createSubtotal();
}

}
