package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Field;
import jimm.datavision.Rectangle;
import jimm.datavision.gui.FieldWidget;

/**
 * Aligns a single field with another.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class FieldAlignCommand extends CommandAdapter {

protected FieldWidget fw;
protected int which;
protected FieldWidget first;
protected Rectangle origBounds;

public FieldAlignCommand(FieldWidget fw, int which, FieldWidget first) {
    super(I18N.get("FieldAlignCommand.name"));

    this.fw = fw;
    this.which = which;
    this.first = first;
    origBounds = new Rectangle(fw.getField().getBounds()); // Make a copy
}

public void perform() {
    fw.align(which, first);
}

public void undo() {
    fw.getField().getBounds().setBounds(origBounds);
}

}
