package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Field;
import jimm.datavision.Rectangle;
import jimm.datavision.gui.FieldWidget;

/**
 * Resizes a single field with another.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class FieldResizeCommand extends CommandAdapter {

protected FieldWidget fw;
protected int which;
protected FieldWidget first;
protected Rectangle origBounds;
protected SectionResizeCommand sectionResizeCommand;

public FieldResizeCommand(FieldWidget fw, int which, FieldWidget first) {
    super(I18N.get("FieldResizeCommand.name"));

    this.fw = fw;
    this.which = which;
    this.first = first;
    origBounds = new Rectangle(fw.getField().getBounds()); // Make a copy
    sectionResizeCommand = new SectionResizeCommand(fw.getSectionWidget());
}

public void perform() {
    fw.size(which, first);

    fw.getSectionWidget().growToFit();
    sectionResizeCommand.perform();
}

public void undo() {
    fw.getField().getBounds().setBounds(origBounds);
    sectionResizeCommand.undo();
}

}
