package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Format;
import jimm.datavision.Border;
import jimm.datavision.gui.FieldWidget;

/**
 * A command for changing a field's format and border.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class FormatCommand extends CommandAdapter {

protected FieldWidget fw;
protected Format origFormat;
protected Format newFormat;
protected Border origBorder;
protected Border newBorder;

public FormatCommand(FieldWidget fw, Format format, Border border) {
    super(I18N.get("FormatCommand.name"));

    this.fw = fw;

    origFormat = fw.getField().getFormat();
    if (origFormat != null) origFormat = (Format)origFormat.clone();
    newFormat = format;

    origBorder = fw.getField().getBorder();
    if (origBorder != null) origBorder = (Border)origBorder.clone();
    newBorder = border;
}

public void perform() {
    fw.applyNewFormatAndBorder(newFormat, newBorder);
}

public void undo() {
    fw.applyNewFormatAndBorder(origFormat, origBorder);
}

}
