package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Formula;

/**
 * A command for changing a formula's code text.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.Formula
 * @see jimm.datavision.gui.FormulaWin
 */
public class FormulaEditCommand extends CommandAdapter {

protected Formula formula;
protected String newEvalString;
protected String oldEvalString;

public FormulaEditCommand(Formula formula, String evalString) {
    super(I18N.get("FormulaEditCommand.name"));
    this.formula = formula;
    newEvalString = evalString;
    oldEvalString = formula.getEvalString();
}

public void perform() {
    formula.setEditableEvalString(newEvalString);
}

public void undo() {
    formula.setEditableEvalString(oldEvalString);
}

}
