package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Group;
import jimm.datavision.sql.Column;
import jimm.datavision.gui.DesignWin;

public class NewGroupCommand extends CommandAdapter {

protected DesignWin designWin;
protected Report report;
protected Group group;

public NewGroupCommand(DesignWin designWin, Report report, Column column,
		       int sortOrder)
{
    super(I18N.get("NewGroupCommand.name"));

    this.designWin = designWin;
    this.report = report;
    group = Group.create(report, column);
    group.setSortOrder(sortOrder);
}

public void perform() {
    report.addGroup(group);
    designWin.rebuildGroups();
}

public void undo() {
    report.removeGroup(group);
    designWin.rebuildGroups();
}

}
