package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Section;
import jimm.datavision.gui.DesignWin;
import jimm.datavision.gui.SectionWidget;

public class NewSectionCommand extends CommandAdapter {

protected DesignWin designWin;
protected Report report;
protected Section sectionAbove;
protected Section section;
protected SectionWidget swAbove;

public NewSectionCommand(DesignWin designWin, Report report, Section putBelow)
{
    super(I18N.get("NewSectionCommand.name"));

    this.designWin = designWin;
    this.report = report;
    sectionAbove = putBelow; // New section goes below "sectionAbove"
    swAbove = designWin.findSectionWidgetFor(sectionAbove);
}

public void perform() {
    section = report.insertSectionBelow(sectionAbove);
    SectionWidget sw = new SectionWidget(designWin, section, "", "");
    designWin.insertSectionWidgetAfter(sw, swAbove);
}

public void undo() {
    // Removes section as observer and calls renameSectionWidgets
    designWin.doDeleteSection(section);
}

}
