package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.Report;
import jimm.datavision.Group;
import jimm.datavision.gui.FieldWidget;

/**
 * A command for adding a subtotal to a field for a particular section.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class NewSubtotalCommand extends AbstractSubtotalCommand {

/**
 * Constructor.
 *
 * @param report the report containing the field and the subtotal
 * @param fw the field widget to which we are adding a subtotal
 * @param group if <code>null</code>, the subtotal is added to the
 * report footer; else the subtotal is added to the first section in
 * the group's footer.
 */
public NewSubtotalCommand(Report report, FieldWidget fw, Group group) {
    super(report, fw, group, I18N.get("NewSubtotalCommand.name"));
    fieldWidget = fw;
    this.group = group;
}

public void perform() {
    createSubtotal();
}

public void undo() {
    deleteSubtotal();
}

}
