package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.gui.DesignWin;
import jimm.datavision.gui.FieldWidget;
import jimm.datavision.gui.SectionWidget;
import jimm.datavision.gui.Clipboard;
import java.util.*;

public class PasteCommand extends CommandAdapter {

// ================================================================
class PasteInfo {
HashSet fieldWidgets;
SectionResizeCommand sectionResizeCommand;

PasteInfo(SectionWidget sw) {
    fieldWidgets = new HashSet();
    sectionResizeCommand = new SectionResizeCommand(sw);
}
void add(FieldWidget fw) { fieldWidgets.add(fw); }
Iterator fieldWidgets() { return fieldWidgets.iterator(); }
}
// ================================================================

protected DesignWin designWin;
/** Maps section widgets to sets of field widgets contained within them. */
protected HashMap sectionFields;

/**
 * Constructor.
 */
public PasteCommand(DesignWin designWin) {
    super(I18N.get("PasteCommand.name"));

    this.designWin = designWin;
}

public void perform() {
    Iterator iter = ((List)Clipboard.instance().getContents()).iterator();
    while (iter.hasNext())
	((Pasteable)iter.next()).paste(designWin);
}

public void undo() {
    Iterator iter = ((List)Clipboard.instance().getContents()).iterator();
    while (iter.hasNext())
	((Pasteable)iter.next()).undo(designWin);
}

}
