package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.UserColumn;

/**
 * A command for changing a userColumn's code text.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.UserColumn
 * @see jimm.datavision.gui.UserColumnWin
 */
public class UserColumnEditCommand extends CommandAdapter {

protected UserColumn userColumn;
protected String newUserString;
protected String oldUserString;

public UserColumnEditCommand(UserColumn userColumn, String userString) {
    super(I18N.get("UserColumnEditCommand.name"));
    this.userColumn = userColumn;
    newUserString = userString;
    oldUserString = userColumn.getUserString();
}

public void perform() {
    userColumn.setEditableUserString(newUserString);
}

public void undo() {
    userColumn.setEditableUserString(oldUserString);
}

}
