package jimm.datavision.gui.cmd;
import jimm.datavision.I18N;
import jimm.datavision.gui.EditWinWidget;

/**
 * A command for changing a field widget's field's name.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 * @see jimm.datavision.gui.EditWinWidget
 */
public class WidgetRenameCommand extends CommandAdapter {

protected EditWinWidget eww;	// Yuck!
protected String oldName;
protected String newName;

public WidgetRenameCommand(EditWinWidget eww, String oldName, String newName) {
    super(I18N.get("WidgetRenameCommand.name"));
    this.eww = eww;
    this.oldName = oldName;
    this.newName = newName;
}

public void perform() {
    eww.setWidgetName(newName);
}

public void undo() {
    eww.setWidgetName(oldName);
}

}
