package jimm.datavision.test;
import jimm.datavision.IndentWriter;
import java.io.*;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import junit.framework.Test;

public class IndentWriterTest extends TestCase {

public static Test suite() {
    return new TestSuite(IndentWriterTest.class);
}

public IndentWriterTest(String name) {
    super(name);
}

public void testIndentation() {
    StringWriter s = new StringWriter();
    IndentWriter out = new IndentWriter(s, false, 1); // Indent level == 1

    out.println("a");
    out.indent();		// +1
    out.println("b");
    out.outdent();		// -1
    out.println("c");
    out.indent();		// +1
    out.indent();		// +1
    out.println("d");
    out.outdent();		// -1
    out.outdent();		// -1
    out.outdent();		// -1
    out.outdent();		// -1
    out.println("e");

    out.close();

    assertEquals("a\n b\nc\n  d\ne\n", s.toString());
}

public static void main(String[] args) {
    junit.textui.TestRunner.run(suite());
}

}
