package jimm.datavision.testdata.mysql;
import jimm.datavision.testdata.SchemaGen;

public class MySQLSchemaGen extends SchemaGen {

/** Max MySQL varchar length. */
protected static final int MAX_VARCHAR_LEN = 255;

protected void makeTable() {
    System.out.println("drop table if exists " + tableName + ";");
    System.out.print("create table " + tableName + " (");
}

protected void endTable() {
    System.out.println();
    System.out.println(");");
}

protected void printType() {
    System.out.print(" ");
    if ("integer".equals(type))
      System.out.print("int");
    else if ("date".equals(type))
	System.out.print("date");
    else if ("boolean".equals(type))
	System.out.print("bool");
    else if ("string".equals(type)) {
	if (size > MAX_VARCHAR_LEN)
	    size = MAX_VARCHAR_LEN;
	System.out.print("varchar(" + size + ")");
    }
}

protected void printNotNull() {
    System.out.print(" not null");
}

public static void main(String[] args) {
    new MySQLSchemaGen().run("../schema.xml");
}
}
