#! /usr/bin/env ruby
#
# Reads the current version number from jimm/datavision/info.java and
# prints it. If '-n' specified, suppress newline.
#
# This script is also included by other scripts that want to call
# versionFromInfo() to get the version number.
#

BASEDIR = File.dirname(__FILE__)

def versionFromInfo
    filename = File.join(BASEDIR, 'jimm/datavision/info.java')
    lines = IO.readlines(filename).grep(/int VERSION/)
    major = ''
    minor = ''
    tweak = ''
    lines.each { | line |
	line =~ /VERSION_(\w+)\s*=\s*(\d+)/
	which = $1
	num = $2
	case $1
	when 'MAJOR'
	    major = num
	when 'MINOR'
	    minor = num
	when 'TWEAK'
	    tweak = num
	end
    }
    return "#{major}.#{minor}.#{tweak}"
end

if __FILE__ == $0
    # Output version number. If -n, suppress newline.
    print versionFromInfo()
    puts unless ARGV.include?('-n')
end
